Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  LISP gesucht

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   LISP gesucht (6024 mal gelesen)
Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 26. Feb. 2003 07:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
wer hat denn ein Lisp rumliegen (oder ohne großen Aufwand) eines basteln oder hat eine viel einfacherer idee für folgende Sache:
Ich muss in einer Zeichnung so ungefähr 1000 Objekte (sind geschlossene Polylinien, kann aber ja auch mal was anderes sein)
mit je einer assoziativen Schraffur versehen. Schraffurmuster, Skalierung und andere Eigenschaften können so sein wie aktuell eingestellt. Beide Möglichkeiten von PICKFIRST zu berücksichtigen wäre gut. Die Auswahl nicht schraffierbarer Objekte sollte ignoriert werden und nicht mit Fehlermeldung zum Abbruch führen.

------------------

gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 26. Feb. 2003 08:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Thomas Rausch 10 Unities + Antwort hilfreich

Hallo Thomas,

rumliegen hatte ich es nicht, aber solche Sachen sind schnell gemacht :-)

Code:

(defun c:plschraff (/ as)
(setq as (ssget "_X"
(list
'(-4 . "<and")
'(0 . "LWPOLYLINE")
'(8 . "0");Hier den Layernamen der PL eintragen
'(-4 . "and>")
)
)
as (if as (bau_elemli as)))
(mapcar '(lambda (X)
(command "_.-bhatch" "_S" X "" "")
)
as)
(princ)

)
(defun bau_elemli (asatz / n elemli)
(setq n 0)
(repeat (sslength asatz)
(setq elemli(cons (ssname asatz n) elemli)
n (1+ n))
)
elemli
)
(princ "\nPLSCHRAFF")


Das Smilie ist durch c : p (natürlich ohne die Leerstellen) zu ersetzen.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
CADlon - Lisp over night!
Wieder 2 neue Tool's im FreeDownload
Wissen wie es gemacht wird? Jetzt Quellcode für die Hälfte

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 26. Feb. 2003 08:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger,
Dank für die prompte Erledigung.
Smilie hatte ich gar nicht, dafür folgende Fehlermeldung:
"; Fehler: Fehlerhafte SSGET-Liste"
was kann das sein?
In der Zeile "'(8 . "0");Hier den Layernamen der PL eintragen"
habe ich statt der 0 den Namen eingetragen.
Richtig?
und letztes Problem: die Umgrenzungen sind auf 10 verschiedenen Layern, die Schraffur soll auf dem aktuellen Layer eingefügt werden. Lässt sich das was machen, dass ich das Lisp nicht 10 mal ändern muss?

------------------

gruß
thomas

[Diese Nachricht wurde von Thomas Rausch am 26. Februar 2003 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 26. Feb. 2003 09:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Thomas Rausch 10 Unities + Antwort hilfreich

Hi Thomas,

ich greif Dir mal unter die Arme:
Trage bei '(8 . "0") alle Deine Layernamen durch Kommata getrennt ein. Also zum Beispiel so: '(8 . "Deinersterlayer,nocheinlayer,dingenslayer")
So müsst's gehen.

------------------
www.cadditions.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 26. Feb. 2003 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
klappt und schraffiert alle LW-Polylinien auf den angegebenen Layern.
Warum ich nun vorhin die Fehlermeldung hatte? keine Ahnung. Wahrscheinlich vergessen, Lisp nach Änderung neu zu laden. sorry.
Für meine Zwecke ok, aber wenn ein Lispler in langen Winternächten nicht besseres zu tun hat, könnt ich mir einige Feinheiten hinsichtlich Auswahlsatz vorstellen...

------------------

gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz